Make autoconf 2.6.1 an explicit requirement due to AC_PROG_MKDIR_P macro usage